%define name smeserver-roundcube
%define version 0.9
%define release 7

Summary: smserver rpm to setup roundcube, an IMAP mail client
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-roundcube-0.9-domain.patch
License: GNU GPL version 2
URL: http://www.dungog.net/sme
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: roundcube
AutoReqProv: no

%description
smserver rpm to setup the roundcube IMAP mail client.

%changelog
* Thu Jun 28 2007 Stephen Noble <stephen@dungog.net> 
- add domain property to use existing host or domain 0.9-7

* Thu Jun 21 2007 Stephen Noble <stephen@dungog.net> 
- update .spec file 0.9-6

* Thu Jun 21 2007 Stephen Noble <stephen@dungog.net> 
- automate config file creation
- proxypass to fix https redirect bug
- [0.9-5]

* Fri Apr 6 2007 Stephen Noble <stephen@dungog.net> 
- revert mysql password creation
- [0.9-4]

* Wed Feb 14 2007 Stephen Noble <stephen@dungog.net> 
- remove phpinfo
- simplify mysql password creation
- don't alias / in httpd for nul values in URL
- [0.9-3]

* Thu Dec 14 2006 Stephen Noble <support@dungog.net>
- php_admin_value eaccelerator enabled
- [0.9-2]

* Tue Dec 12 2006 Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]

%prep
%setup
%patch0 -p1

%build
#perl createlinks
mkdir -p          root/etc/e-smith/db/accounts/defaults/roundcube
echo "reserved" > root/etc/e-smith/db/accounts/defaults/roundcube/type

mkdir -p                       root/etc/e-smith/db/configuration/defaults/roundcube
echo "RoundCube IMAP Client" > root/etc/e-smith/db/configuration/defaults/roundcube/Name
echo "global-pw-remote" >      root/etc/e-smith/db/configuration/defaults/roundcube/PublicAccess
echo "enabled" >               root/etc/e-smith/db/configuration/defaults/roundcube/status
echo "roundcube" >             root/etc/e-smith/db/configuration/defaults/roundcube/DbName
echo "roundcube" >             root/etc/e-smith/db/configuration/defaults/roundcube/DbUser

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
/etc/e-smith/events/actions/initialize-default-databases
/sbin/e-smith/expand-template /etc/e-smith/sql/init/80roundcube
/etc/rc.d/init.d/mysql.init start
/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
/sbin/e-smith/expand-template /opt/roundcube/config/db.inc.php
/sbin/e-smith/expand-template /opt/roundcube/config/main.inc.php
/usr/local/bin/svc -h /service/httpd-e-smith

echo ""
echo "see www.dungog.net/sme/webapp.php"
echo "current settings 'config show roundcube'..."
/sbin/e-smith/config show roundcube

%postun
#uninstall
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
 /usr/local/bin/svc -h /service/httpd-e-smith
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

